#ifndef PREIS_H
#define PREIS_H
#include <string>



enum class MuenzenTyp {
    Cent,
    Euro
};

enum class GeldscheinTyp {
    Fuenf,Zehn
};

class Preis {
private:
    int betrag;
    double muenzen();
    double scheine();
    int rueckgeld;

public:
    explicit Preis(int b, int m, int s);

    int bezahlen(int gezahlterBetrag);
    int rueckgeldAusgeben();
    int getProdukt() const;
    MuenzenTyp selectedMuenze;
    GeldscheinTyp selectedGeldschein;
};

#endif // PREIS_H
